#!/usr/bin/env bash

set -e

#check to make sure this is a 64-bit machine
getconf LONG_BIT | grep 64 > /dev/null  || ( echo "Git Fusion requires a 64-bit machine. Exiting." && exit 1)
        wget -q http://package.perforce.com/perforce.pubkey -O - | sudo apt-key add - 
		#Update sources list with the Perforce Package repo.
sudo echo "deb http://package.perforce.com/apt/ubuntu precise release" >> /etc/apt/sources.list

sudo aptitude update
sudo aptitude -y install helix-git-fusion perforce-cli perforce-server
